-- Deploy numerus:expense_status_i18n to pg
-- requires: schema_numerus
-- requires: roles
-- requires: expense_status
-- requires: language

begin;

set search_path to numerus, public;

create table expense_status_i18n (
	expense_status text not null references expense_status,
	lang_tag text not null references language,
	name text not null,
	primary key (expense_status, lang_tag)
);

grant select on table expense_status_i18n to invoicer;
grant select on table expense_status_i18n to admin;

commit;
